public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/virtualgl/
Date: Sun, 13 Apr 2025 16:44:35 +0000 (UTC)	[thread overview]
Message-ID: <1744562630.6d2d2584a0b1dd18645b2d6c905e0bc2a19091ad.pacho@gentoo> (raw)

commit:     6d2d2584a0b1dd18645b2d6c905e0bc2a19091ad
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 13 16:36:54 2025 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 13 16:43:50 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d2d2584

x11-misc/virtualgl: add 3.1.3

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 x11-misc/virtualgl/Manifest               |  1 +
 x11-misc/virtualgl/virtualgl-3.1.3.ebuild | 96 +++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/x11-misc/virtualgl/Manifest b/x11-misc/virtualgl/Manifest
index 4851d867029c..3c41dba01563 100644
--- a/x11-misc/virtualgl/Manifest
+++ b/x11-misc/virtualgl/Manifest
@@ -1,2 +1,3 @@
 DIST VirtualGL-3.1.1.tar.gz 1223341 BLAKE2B d82a3b8afddc165d4a99b281593662c7584b2d0060e1332bbb1dd621dc1098d4eb1e9c7b3d9a989fa08e89dfafe0001bff905c90aaefb0e0b7532e233a21e0e4 SHA512 40007910dce4ba1aa6bb00fc1e57af8e9d6a77a5a6c795d8f13c9883abc44787871a0bede8621de2fb042585f471281ba9e8bbd16d81c4049ddca8539f535e7e
 DIST VirtualGL-3.1.2.tar.gz 1224655 BLAKE2B 92a971eed54d5b184eeee2302fee90ae86443291c5b246152f522d8ab92db86d3c6be258b4ce5a2e8fa05b639f9b9b91f6fd0920213103510b3a821a6629d7d7 SHA512 5f51691d66645cfca74997b36c442daf4d3fd54ab93b48e501a275a0e8fcc4ecaa71e24665619d40c5561c9598a8d3c224fb3b7ecd3afb56fe0a6ecc350aec5e
+DIST VirtualGL-3.1.3.tar.gz 2112779 BLAKE2B 54c171b2ba6b8dd6676104ed34dd0044eae30319e3a7e9886948f9fd624460ce04fe206b1a5448f7401d3726e99ea6187a4c437bd6d2673852e75114b343aa55 SHA512 43e57626efaa86bd5568c61620db5f915db92d6bda2c16f43c6f5d99e9d093bcface8fd0c043af02c58f5d06e9b5f56bbc3cc9fe9b5ec7201902325d49592a92

diff --git a/x11-misc/virtualgl/virtualgl-3.1.3.ebuild b/x11-misc/virtualgl/virtualgl-3.1.3.ebuild
new file mode 100644
index 000000000000..39c2957cb114
--- /dev/null
+++ b/x11-misc/virtualgl/virtualgl-3.1.3.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib flag-o-matic systemd
+
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/VirtualGL/${PN}.git"
+	inherit git-r3
+else
+	MY_PN="VirtualGL"
+	MY_P="${MY_PN}-${PV}"
+	S="${WORKDIR}/${MY_P}"
+	SRC_URI="https://github.com/VirtualGL/${PN}/releases/download/${PV}/${MY_P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Run OpenGL applications remotely with full 3D hardware acceleration"
+HOMEPAGE="https://www.virtualgl.org/"
+LICENSE="LGPL-2.1 wxWinLL-3.1 FLTK"
+
+SLOT="0"
+
+RDEPEND="
+	media-libs/libjpeg-turbo[${MULTILIB_USEDEP}]
+	x11-libs/libX11[${MULTILIB_USEDEP}]
+	x11-libs/libXext[${MULTILIB_USEDEP}]
+	x11-libs/libXtst[${MULTILIB_USEDEP}]
+	x11-libs/libXv[${MULTILIB_USEDEP}]
+	x11-libs/xcb-util-keysyms[${MULTILIB_USEDEP}]
+	virtual/glu[${MULTILIB_USEDEP}]
+	virtual/opencl[${MULTILIB_USEDEP}]
+	virtual/opengl[${MULTILIB_USEDEP}]
+	amd64? ( abi_x86_32? (
+		>=media-libs/libjpeg-turbo-1.3.0-r3[abi_x86_32]
+		>=x11-libs/libX11-1.6.2[abi_x86_32]
+		>=x11-libs/libXext-1.3.2[abi_x86_32]
+		>=x11-libs/libXtst-1.2.3[abi_x86_32]
+		>=x11-libs/libXv-1.0.10[abi_x86_32]
+		x11-libs/xcb-util-keysyms[abi_x86_32]
+		>=virtual/glu-9.0-r1[abi_x86_32]
+		virtual/opencl[abi_x86_32]
+		>=virtual/opengl-7.0-r1[abi_x86_32]
+	) )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	# Use /var/lib, bug #428122
+	sed -e "s#/etc/opt#/var/lib#g" -i doc/unixconfig.txt doc/index.html doc/advancedopengl.txt \
+		server/vglrun.in server/vglgenkey server/vglserver_config || die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	# Completely breaks steam/wine for discrete graphics otherwise
+	# see https://github.com/VirtualGL/virtualgl/issues/16
+	append-ldflags "-Wl,--no-as-needed"
+
+	abi_configure() {
+		local mycmakeargs=(
+			-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/"${PF}"
+			-DTJPEG_INCLUDE_DIR=/usr/include
+			-DCMAKE_INSTALL_LIBDIR=/usr/$(get_libdir)/VirtualGL
+			-DTJPEG_LIBRARY=/usr/$(get_libdir)/libturbojpeg.so
+			-DCMAKE_LIBRARY_PATH=/usr/$(get_libdir)
+		)
+		cmake_src_configure
+	}
+	multilib_parallel_foreach_abi abi_configure
+}
+
+src_install() {
+	cmake-multilib_src_install
+
+	# Make config dir
+	keepdir /var/lib/VirtualGL
+	fowners root:video /var/lib/VirtualGL
+	fperms 0750 /var/lib/VirtualGL
+	newinitd "${FILESDIR}/vgl.initd-r4" vgl
+	newconfd "${FILESDIR}/vgl.confd-r2" vgl
+
+	exeinto /usr/libexec
+	doexe "${FILESDIR}/vgl-helper.sh"
+	systemd_dounit "${FILESDIR}/vgl.service"
+
+	# Rename glxinfo to vglxinfo to avoid conflict with x11-apps/mesa-progs
+	# and eglinfo to veglinto because of conflict with mesa-progs[egl]
+	mv "${D}"/usr/bin/{,v}glxinfo || die
+	mv "${D}"/usr/bin/{,v}eglinfo || die
+
+	# Remove license files, bug 536284
+	rm "${D}"/usr/share/doc/${PF}/{LGPL.txt*,LICENSE*} || die
+}


             reply	other threads:[~2025-04-13 16:44 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-04-13 16:44 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-14  7:05 [gentoo-commits] repo/gentoo:master commit in: x11-misc/virtualgl/ Joonas Niilola
2025-04-14  6:12 Joonas Niilola
2024-12-20 11:21 Pacho Ramos
2024-07-12 17:23 Arthur Zamarin
2024-07-12 17:23 Arthur Zamarin
2024-05-18 16:08 Sam James
2024-05-18 15:35 Sam James
2024-05-18 10:16 Pacho Ramos
2024-05-18 10:16 Pacho Ramos
2024-05-18 10:16 Pacho Ramos
2023-04-17 13:30 Pacho Ramos
2023-04-17 13:30 Pacho Ramos
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-10-23 16:17 Pacho Ramos
2022-10-23 16:17 Pacho Ramos
2022-08-16  5:32 Joonas Niilola
2022-08-16  5:32 Joonas Niilola
2022-08-15 16:43 Andreas Sturmlechner
2022-07-10 14:39 Sam James
2022-05-22 11:04 Pacho Ramos
2022-05-22 11:04 Pacho Ramos
2022-05-04 22:32 Sam James
2022-05-04 22:32 Sam James
2021-12-22 10:30 Pacho Ramos
2021-12-21 18:25 Pacho Ramos
2021-05-08  9:27 Pacho Ramos
2021-05-08  9:27 Pacho Ramos
2021-05-08  9:27 Pacho Ramos
2021-05-01  9:53 Mikle Kolyada
2021-04-12 17:33 Sam James
2021-04-12 17:33 Sam James
2021-03-26 11:25 Sam James
2021-03-25 15:42 Sam James
2021-02-14 19:52 Sam James
2020-11-29 11:45 Pacho Ramos
2020-11-29 11:45 Pacho Ramos
2020-07-25 14:16 Pacho Ramos
2020-07-24 12:23 Sam James
2020-06-27 10:48 Pacho Ramos
2020-06-27 10:48 Pacho Ramos
2020-06-06 15:58 Pacho Ramos
2020-06-04 20:36 Pacho Ramos
2020-06-04 20:36 Pacho Ramos
2019-11-20 12:22 Andreas Sturmlechner
2019-11-19 12:48 Agostino Sarubbo
2019-11-18 11:50 Agostino Sarubbo
2019-06-05  9:19 Andreas Sturmlechner
2019-06-05  7:46 Agostino Sarubbo
2019-06-05  6:48 Agostino Sarubbo
2019-05-01 23:35 Craig Andrews
2019-01-11 21:31 Craig Andrews
2019-01-11 21:31 Craig Andrews
2018-06-09 14:15 Mart Raudsepp
2018-06-06  8:13 Andreas Sturmlechner
2017-11-07 13:17 Manuel Rüger
2017-11-02 21:16 Thomas Deutschmann
2017-10-16  3:34 David Seifert
2017-04-08  9:09 Ettore Di Giacinto
2017-04-08  9:09 Ettore Di Giacinto
2016-10-22  7:54 Pacho Ramos
2016-10-16  8:23 Pacho Ramos
2016-09-29 17:45 Pacho Ramos
2016-06-10 15:32 Agostino Sarubbo
2015-12-04  9:43 Anthony G. Basile
2015-09-20  8:23 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1744562630.6d2d2584a0b1dd18645b2d6c905e0bc2a19091ad.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox